<section>
    <navigation></navigation>
    <div>
        <h1><img src="/static/images/map.png" alt="Map">Data review</h1>
        <p>Please review the processed data and pick which columns correspond to Latitude and Longitude. Last, but not least, check the entries you want to send to the map and hit the green button!</p>
        <input type="search" placeholder="Type to search…" v-model="query">
        <div class="reviewTable">
            <table>
                <thead>
                    <tr>
                        <th class="checkbox"></th>
                        <th v-for="header in headers" v-if="header !== 'active'">
                            <div data-tooltip="{{ header }}">
                                <span v-if="hasHeader">{{ header }}</span>
                                <span v-if="!hasHeader"><em>Untitled</em></span>
                                <context-menu :actions="actions" :target="header"></context-menu>
                            </div>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr v-for="location in locations | filterBy query" :class="{ checked: location.active }">
                        <td data-th="Selected" class="checkbox">
                            <label>
                                <input type="checkbox" v-model="location.active">
                                <span>Send to map</span>
                            </label>
                        </td>
                        <td v-for="(key, value) of location" v-if="key !== 'active'" :data-th="key">
                            <div :style="{ zIndex: propCount - $index }">
                                <span v-if="!isURL(value.value)">{{ value.value }}</span>
                                <a v-if="isURL(value.value) && !isImageURL(value.value)" href="{{ value.value }}" target="_blank">Website</a>
                                <img v-if="isImageURL(value.value)" :src="value.value" alt="Photo">
                                <context-menu :actions="actions" :target="key"></context-menu>
                            </div>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="stepsNav">
            <a class="button" :class="{ disabled: !atLeastOne }" @click.prevent="sendToMap">Send to map</a>
        </div>
    </div>
</section>
